#include <cctype>
#include <iostream>
#include <string>

bool sa_przeciwne(char a, char b) {
	if (std::isupper(a))
		return std::tolower(a) == b;
	else
		return std::toupper(a) == b;
}

int main() {
	std::string s;
	std::cin >> s;
	std::string stos;
	for (const auto& c : s) {
		if (!stos.empty() && sa_przeciwne(c, stos.back()))
			stos.pop_back();
		else
			stos.push_back(c);
	}
	std::cout << stos << '\n';
	return 0;
}
